#! /bin/rpm
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Summary: 		LIME Performance Monitor
Name: 			lime-perf
Version: 		1.1.15
Release: 		3%{?dist}
Group: 			Applications/System
License:        GPL
Source0: 		%{name}-%{version}.tar.gz
Requires :      openwbem
Requires :      lime-common
Requires :      qt > 3.3.3
BuildRequires:  openwbem-devel
BuildRequires:  lime-common
BuildRequires:  qt > 3.3.3
BuildRequires:	lmc-devel

%Description

lime-perf is a WBEM client tool for system performance monitor which
depends on CIMOM, when using this  tool, make sure LIME provider has been
installed and CIMOM of managed host has been started. And also,it is recommended 
to install a daemon tool limeperfd in server computer, while you need the alarm
functionality.

lime-perf lets a system administrator monitor system performance (such
as CPU load, network load, disk usage...). The administrator can also
configure rfmond to monitor system automatically.
LIME is a part of OpenDRIM project, see also www.opendrim.org.

%prep
%setup -q
%build
%configure 
make

%clean

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp src/%{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp src/%{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
ln -s lime-perf $RPM_BUILD_ROOT/%{_bindir}/rfmon

## Aternate_Command_Names ##
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s lime-perf set-sysmgt-performance
popd


%post
%preun
%files
%config /usr/share/applications/%{name}.desktop
/usr/share/pixmaps/%{name}.xpm
%{_libdir}/lmc/snapins/*.so*
%exclude %{_libdir}/lmc/snapins/*.la
%exclude %{_libdir}/lmc/snapins/*.a
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%dir %{_datadir}/%{name}
%dir %{_docdir}/%{name}
%{_datadir}/%{name}
%{_docdir}/%{name}
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*.h
%{_bindir}/lime-perf
%{_bindir}/rfmon
%{_bindir}/set-sysmgt-performance

%changelog
* Fri Apr 28 2009 Zhao Min <zhaomin@redflag-linux.com> 1.1.15-3%{?dist}
- add the simple rate range (AXBug #6090)
- Fix the bug that lime-perf can't be enlarged (AXBug #6069)

* Fri Apr 24 2009 Zhao Min <zhaomin@redflag-linux.com> 1.1.15-2%{?dist}
- automatically change the show rule when delete the condition (AXBug #6124)
- add Group Relationship for the "And" and "Or" radio button (AXBug #6097)
- remove the button Simple (AXbug #6100)

* Tue Aug 26 2008 Zhao Min <zhaomin@redflag-linux.com>
- fix bug 4969,4971.Change the "Memoryi" to "Memory" in the condition of alarm.

* Tue Aug 19 2008 Zhao Min <zhaomin@redflag-linux.com>
- fix bug 4893, delet hyperlink "Start system monitor service"

* Tue Jul 15 2008 He Tao <taohe@redflag-linux.com>
- fix bug 4516, click 'Ok' when modification on alarm policy, the tool sometimes maybe crash.
- fix bug 4566, change user of the tool, there sometimes maybe crash.

* Wed May 21 2008 He Tao <taohe@redflag-linux.com>
- fix bug 4274, translation bug
- fix bug 4214, fix the tips display of action in menubar and toolbar.

* Wed Apr 23 2008 He Tao <taohe@redflag-linux.com>
- hide simple input mode of alarm.
- correct "TAB" sequence of alarm;correct context of warning message and translation problem.
- fix When add alarm and click "OK", lime-perf tool sometimes may be crashed.

* Wed Mar 12 2008 He Tao <taohe@redflag-linux.com>
- upgrade version to 1.1.10

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 1.1.9-1.1%{?dist}
- add Aternate Command Names (symbolic link) - bugzilla 3978

* Fri Nov  2 2007 dcwang <dcwang@redflag-linux.com> 
- update to new version 1.1.9.
- fix Chinese/Japanese/Korean codec process name characters display,
  when adding process sensors, see also package ChangeLog file for details.

* Tue Sep 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.8, the first maintenance release,
- see also package ChangeLog file for details.

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.7, see also package ChangeLog file for details.

* Wed Jul 25 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Wed Jul 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang<dcwang@redflag-linux.com>
- merge lime-perf-1.1.3-asianux-desktop_categories.patch to CVS,
- does not install desktop file to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-perf-1.1.3-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.4, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, NEWS, README to package, update to new version 1.1.3-1
- see also package ChangeLog file for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Tue May 15 2007 He Tao <taohe@redflag-linux.com>
- change kde control panel desktop file directory "/etc/sysconfig/khwtree/GroupSys" to "/etc/sysconfig/khwtree/Group2Sys"
- upgrade version to 1.1.1
- modify the monitor show panel(auto size, set minimum width to 300)

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Thu Apr 05 2007 He Tao <taohe@redflag-linux.com>
- add a link file instead for the old rfmon

* Wed Jan 31 2007 He Tao <taohe@redflag-linux.com>
- create spec ; lmc arch
